.gallery {
    position: relative;
    overflow: hidden;
}

.gallery-assets {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    overflow-x: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-snap-type: x mandatory;
}

.gallery-asset {
    width: 100%;
    height: 100%;
    flex: 0 0 100%;
    scroll-snap-align: start;
    object-fit: cover;
}

.gallery-navigator {
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 10px;
    max-width: fit-content;
    margin: auto;
    padding: 5px 20px;
    background-color: rgba(var(--brand-dark), 0.25);
    backdrop-filter: blur(20px);
    border-radius: 50px;
    display: flex;
    gap: 10px;
    align-items: center;
}

.gallery-navigate-left, .gallery-navigate-right {
    width: 12px;
    aspect-ratio: 1.0;
    background-image: url('/images/arrow.webp');
    background-size: cover;
    cursor: pointer;
}

.gallery-navigate-right {
    rotate: 180deg;
}

.gallery-navigator-icons {
    display: flex;
    gap: 10px;
    align-items: center;
}

.gallery-navigator-icon {
    position: relative;
    width: 6px;
    height: 6px;
    border-radius: 100px;
    background-color: rgba(var(--brand-light), 0.25);
    overflow: hidden;
    transition: width 0.4s ease-in-out;
    cursor: pointer;
}

.gallery-navigator-progress {
    width: 100%;
    height: 100%;
    border-radius: 100px;
    background-color: rgb(var(--brand-light));
}

.gallery-icon-selected, .gallery-icon-expanded {
    width: 36px;
}

.gallery-icon-selected .gallery-navigator-progress {
    animation: gallery-icon 5s linear forwards;
}

@keyframes gallery-icon {
  0% { width: 10px; }
  100% { width: 100%; }
}